package com.goldencode.p2j.persist;

import org.hibernate.QueryException;
import org.hibernate.engine.Mapping;
import org.hibernate.type.Type;

import java.util.List;

public abstract class SafeCompareFunction
{
   public Type getReturnType(Type columnType, Mapping mapping) throws QueryException
   {
      return columnType;
   }

   public boolean hasArguments()
   {
      return true;
   }

   public boolean hasParenthesesIfNoArguments()
   {
      return true;
   }

   protected static String[] convertArgumentsToArray(List args)
   {
      return new String[]{(String)args.get(0), (String)args.get(1)};
   }
}
